package sample.sample_c;

import static sample.sample_c.Janken.*;
import static sample.sample_c.Shouhai.*;

public class enumJanken {

public static Shouhai 判定(Janken val1, Janken val2) {
		if (val1 == グー) {
			return グー対XXXの判定(val2);
		} else if (val1 == チョキ) {
			return チョキ対XXXの判定(val2);
		} else {
			return パー対XXXの判定(val2);
		}
	}

	private static Shouhai パー対XXXの判定(Janken val2) {
		if (val2 == グー) {
			return 第一引数の勝ち;
		} else if (val2 == チョキ) {
			return 第二引数の勝ち;
		} else {
			return あいこ;
		}
	}

	private static Shouhai チョキ対XXXの判定(Janken val2) {
		if (val2 == グー) {
			return 第二引数の勝ち;
		} else if (val2 == チョキ) {
			return あいこ;
		} else {
			return 第一引数の勝ち;
		}
	}

	private static Shouhai グー対XXXの判定(Janken val2) {
		if (val2 == グー) {
			return あいこ;
		} else if (val2 == チョキ) {
			return 第一引数の勝ち;
		} else {
			return 第二引数の勝ち;
		}
	}
}
